set -x
echo The instances to be validated:
cat ken1.xml
cat ken2.xml
cat ken3.xml
echo RELAX-NG works:
cat ken.rnc
cat ken1.xml
rnc ken.rnc ken1.xml
cat ken2.xml
rnc ken.rnc ken2.xml
cat ken3.xml
rnc ken.rnc ken3.xml
echo W3C Schema with a wild card works, but doesn\'t validate:
cat ken0.xsd
w3cschema ken0.xsd ken1.xml
w3cschema ken0.xsd ken2.xml
w3cschema ken0.xsd ken3.xml
echo W3C Schema with one vocabulary X and a wildcard works for all:
cat x.xsd
cat key1.xsd
w3cschema ken1.xsd ken1.xml
w3cschema ken1.xsd ken2.xml
w3cschema ken1.xsd ken3.xml
echo W3C Schema with one vocabulary Y and a wildcard works for all:
cat y.xsd
cat ken2.xsd
w3cschema ken2.xsd ken1.xml
w3cschema ken2.xsd ken2.xml
w3cschema ken2.xsd ken3.xml
echo W3C Schema with two vocabularies and no wildcard works only for two:
cat ken3.xsd
w3cschema ken3.xsd ken1.xml
w3cschema ken3.xsd ken2.xml
w3cschema ken3.xsd ken3.xml
echo W3C Schema with two wildcards doesn\'t work because of ambiguity
cat ken4.xsd
w3cschema ken4.xsd ken3.xml





